cURL
curl --request GET \
--url https://app-api.aide.app/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "me",
"accounts": [
{
"name": "<string>",
"id": "<string>",
"role": "admin"
}
],
"account": {
"name": "<string>",
"id": "<string>",
"exploreStatus": "<string>",
"isApproved": true,
"onboarding": {
"signupContext": {
"plan": "pro",
"stack": "chat_agent",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmContent": "<string>",
"utmTerm": "<string>",
"ref": "<string>"
},
"show": true,
"stage": 123,
"intentSlugs": [
"<string>"
],
"dismissedActions": [
"<string>"
]
},
"teamSize": "<string>",
"ticketsPerMonth": "<string>",
"website": "<string>"
},
"user": {
"email": "<string>",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"emailPreferences": {},
"firstName": "<string>",
"jobTitle": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"initials": "<string>"
},
"membership": {
"role": "admin",
"signature": "<string>",
"availability": {
"object": "availability",
"status": "available",
"until": "<string>",
"reason": "<string>",
"reassignOnAway": true,
"changedAt": "<string>"
},
"availabilityStatus": "available"
},
"flags": {
"hasTickets": true,
"hasPreviewed": true,
"hasTopics": true,
"hasWorkflows": true,
"hasKnowledge": true,
"hasAgent": true,
"hasHelpdeskIntegration": true,
"hasChannel": true,
"widgetFirstSeenAt": "<string>",
"widgetFirstSeenOrigin": "<string>",
"widgetBlockedOrigin": {
"lastSeenAt": "<string>",
"origin": "<string>"
},
"firstAiOutput": {
"at": "<string>",
"conversationId": "<string>",
"kind": "draft",
"helpdeskUrl": "<string>"
},
"emailForwarding": "none",
"billing": {
"status": "active",
"planSlug": "enterprise",
"trialEndsAt": "<string>",
"currentPeriodStart": "<string>",
"currentPeriodEnd": "<string>",
"cancelAtPeriodEnd": true,
"graceEndsAt": "<string>",
"aiPausedReason": "free_limit"
}
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Account
Get v1me
GET
/
v1
/
me
cURL
curl --request GET \
--url https://app-api.aide.app/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "me",
"accounts": [
{
"name": "<string>",
"id": "<string>",
"role": "admin"
}
],
"account": {
"name": "<string>",
"id": "<string>",
"exploreStatus": "<string>",
"isApproved": true,
"onboarding": {
"signupContext": {
"plan": "pro",
"stack": "chat_agent",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmContent": "<string>",
"utmTerm": "<string>",
"ref": "<string>"
},
"show": true,
"stage": 123,
"intentSlugs": [
"<string>"
],
"dismissedActions": [
"<string>"
]
},
"teamSize": "<string>",
"ticketsPerMonth": "<string>",
"website": "<string>"
},
"user": {
"email": "<string>",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"emailPreferences": {},
"firstName": "<string>",
"jobTitle": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"initials": "<string>"
},
"membership": {
"role": "admin",
"signature": "<string>",
"availability": {
"object": "availability",
"status": "available",
"until": "<string>",
"reason": "<string>",
"reassignOnAway": true,
"changedAt": "<string>"
},
"availabilityStatus": "available"
},
"flags": {
"hasTickets": true,
"hasPreviewed": true,
"hasTopics": true,
"hasWorkflows": true,
"hasKnowledge": true,
"hasAgent": true,
"hasHelpdeskIntegration": true,
"hasChannel": true,
"widgetFirstSeenAt": "<string>",
"widgetFirstSeenOrigin": "<string>",
"widgetBlockedOrigin": {
"lastSeenAt": "<string>",
"origin": "<string>"
},
"firstAiOutput": {
"at": "<string>",
"conversationId": "<string>",
"kind": "draft",
"helpdeskUrl": "<string>"
},
"emailForwarding": "none",
"billing": {
"status": "active",
"planSlug": "enterprise",
"trialEndsAt": "<string>",
"currentPeriodStart": "<string>",
"currentPeriodEnd": "<string>",
"cancelAtPeriodEnd": true,
"graceEndsAt": "<string>",
"aiPausedReason": "free_limit"
}
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}